﻿// -----------------------------------------------------------------------
// <copyright file="DataAction.cs" company="JSC Centido">
//  Copyright (c) JSC Centido. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Centido.Core
{
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    ///   Types of data entry/edit/retrieval actions.
    /// </summary>
    [SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue")]
    public enum DataAction
    {
        /// <summary>
        ///   Select
        /// </summary>
        Select = 1,

        /// <summary>
        ///   Insert
        /// </summary>
        Insert = 2,

        /// <summary>
        ///   Update
        /// </summary>
        Update = 3,

        /// <summary>
        ///   Delete
        /// </summary>
        Delete = 4
    }
}