﻿// -----------------------------------------------------------------------
// <copyright file="IIdentifiedByName.cs" company="JSC Centido">
//  Copyright (c) JSC Centido. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Centido.Core
{
    /// <summary>
    ///   Represents an object that is identified by id.
    /// </summary>
    public interface IIdentifiedByName
    {
        /// <summary>
        /// Gets the name of the object.
        /// </summary>
        string Name { get; }
    }
}
