﻿// -----------------------------------------------------------------------
// <copyright file="IPrincipal.cs" company="JSC Centido">
//  Copyright (c) JSC Centido. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Centido.Core
{
    /// <summary>
    ///   Represents a security principal.
    /// </summary>
    public interface IPrincipal : IIdentifiedByName
    {
        /// <summary>
        /// Gets the display name of the security principal.
        /// </summary>
        string DisplayName { get; }
    }
}