﻿// -----------------------------------------------------------------------
// <copyright file="IRenamable.cs" company="JSC Centido">
//  Copyright (c) JSC Centido. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Centido.Core
{
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    ///   Represents an object that can be renamed.
    /// </summary>
    [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Renamable")]
    public interface IRenamable
    {
        /// <summary>
        ///   Gets or sets the object name.
        /// </summary>
        string Name { get; set; }
    }
}