﻿// -----------------------------------------------------------------------
// <copyright file="DataSource.cs" company="JSC Centido">
//  Copyright (c) JSC Centido. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Centido.Core
{
    /// <summary>
    ///   The data source type.
    /// </summary>
    public enum DataSource
    {
        /// <summary>
        ///   The user view of the internal table.
        /// </summary>
        UserView,

        /// <summary>
        ///   The internal table.
        /// </summary>
        InternalTable
    }
}