﻿// -----------------------------------------------------------------------
// <copyright file="IRefreshable.cs" company="JSC Centido">
//  Copyright (c) JSC Centido. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Centido.Core
{
    /// <summary>
    ///   Represents an object which fields can be refreshed.
    /// </summary>
    public interface IRefreshable
    {
        /// <summary>
        ///   Refreshes the object fields.
        /// </summary>
        void Refresh();
    }
}
